aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-chemistry/refmac/refmac-5.5.0094.ebuild')
-rw-r--r--sci-chemistry/refmac/refmac-5.5.0094.ebuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/sci-chemistry/refmac/refmac-5.5.0094.ebuild b/sci-chemistry/refmac/refmac-5.5.0094.ebuild
new file mode 100644
index 000000000..d53653bdc
--- /dev/null
+++ b/sci-chemistry/refmac/refmac-5.5.0094.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils fortran toolchain-funcs
+
+DESCRIPTION="Macromolecular crystallographic refinement program"
+HOMEPAGE="http://www.ysbl.york.ac.uk/~garib/refmac/"
+SRC_URI="${HOMEPAGE}data/refmac_stable/refmac_${PV}.tar.gz"
+LICENSE="ccp4"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="mirror"
+RDEPEND="virtual/lapack
+ virtual/blas
+ sci-libs/ccp4-libs"
+DEPEND="${RDEPEND}"
+S="${WORKDIR}"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${PV}-allow-dynamic-linking.patch
+}
+
+src_compile() {
+ emake \
+ FC=$(tc-getFC) \
+ CC=$(tc-getCC) \
+ CXX=$(tc-getCXX) \
+ COPTIM="${CFLAGS}" \
+ FOPTIM="${FFLAGS:- -O2}" \
+ VERSION="" \
+ XFFLAGS="-fno-second-underscore" \
+ LLIBCCP="-lccp4f -lccp4c -lccif -lmmdb -lstdc++" \
+ LLIBLAPACK="-llapack -lblas" \
+ || die
+}
+
+src_install() {
+ for i in refmac libcheck makecif; do
+ dobin ${i} || die
+ done
+ dosym refmac /usr/bin/refmac5 || die
+ dodoc refmac_keywords.pdf || die
+}